Subject: Re: [PATCH v8 3/3] leds/powernv: Add driver for PowerNV platform

From: Jacek Anaszewski <[email-masked]>
Date: Wed, 19 Aug 2015 13:54:03 +0200

Hi Vasant,

On 07/28/2015 07:40 PM, Jacek Anaszewski wrote:
> Vasant,
>
> On 28.07.2015 15:40, Vasant Hegde wrote:
>> On 07/27/2015 03:20 PM, Jacek Anaszewski wrote:
>>> Hi Vasant,
>>>
>>> On 27.07.2015 05:41, Vasant Hegde wrote:
>>>> On 07/27/2015 03:11 AM, Jacek Anaszewski wrote:
>>>>> Hi Vasant,
>>>>>
>>>>
>>>> Hi Jacek,
>>>>
>>>>> Two trivial details left. Please find them below.
>>>>
>>>> Thanks for the review/Ack. I'll fix below issues and resend patchset.
>>>>
>>>> I will ask Benh/Michael to take this patchset. But this patchset is
>>>> depending
>>>> on your core changes. Can you confirm that you are pushing that
>>>> patchset in next
>>>> merge window?
>>
>> Jacek,
>>
>>>
>>> Without my core changes your driver won't work with led triggers, but
>>> AFAIR this use case is not relevant for your LEDs? Eventually, we could
>>> produce a patch set adding support for LED triggers if it will be clear
>>> that LED core changes will not be merged in the upcoming merge window.
>>
>> IIUC current LED code doesn't allow me to sleep (without driver specific
>> workqueue). And powernv_led_set() call will sleep. Hence I think it
>> won't work.
>>
>> I did a quick test without your patch. It doesn't seems to be working.

Does brightness setting work properly without work queue?

-- 
Best Regards,
Jacek Anaszewski